Hacks: XOOPS Multilanguages 1.4 is out !

Posted by: marcanon 2004/6/21 7:47:17 5441 reads
Fellow Xoopsers ! I am please to announce you the release of XOOPS Multilanguages version 1.4 !

You can donwload the package here : Version Zip [274 Ko]

Please note that this version only works on XOOPS 2.0.7. Please note as well, that any prior version of XOOPS Multilanguages does only work on XOOPS 2.0.6. Thus, if you want a multilingual site with XOOPS 2.0.7, you HAVE to install this package

Now, as usual, allow me to remind you that it is EXTREMELY IMPORTANT that you carefully read the file ReadMe.txt. This package is not a regular module. It is a severally hack version of XOOPS 2.0.7. You need to take all the necessary precautions to install it and this starts with reading ReadMe.txt.

That being said, here are the interesting things Here is the list of changes with this new version.

Quote:
- Adaptation of XOOPS Multilanguages to support XOOPS 2.0.7;
- class/template.php was modified to hold custom smarty variable that users can put in their theme
- If a user changed language 2 times and more in a row, the query string was always added to previous one, causing a really long url. This has been fixed (thanks to dAWiLbY);
- There was a problem with the slogan, It has been fixed;
- The site name is now multilingual;
- A constant is now available for representing the link to change language in a specific language. For example, the link to change to the French language is hold in _LANG_LINK_FRENCH;
- Correction made in class/xoopsform/form.php to support Multilingual;
- Corrections we made in MyDownload and MyLinks regarding the Popular and Top Rated page, for them to be multilingual;
- A new parameter has been added to the user profile, providing the Prefered Language of this user. When user is not logged in (Anonymous), the hack will use the selected language found in a cookie. If the user is logged in, the Prefered language of his profile will be used. Also, when the user is logged in and change the language, his profile is automatically upated to reflect this change.
- Adding the support for the module Liaise v1.21;
- Adding the support for the module iContent v4.5;
- Adding the support for the module xDirectory v1.5

As usual, the support for this module is offered at NotreVie.ca. Your questions and comments are always welcomed

Enjoy !

.:: marcan (aka mal aka Marc-André) ::.
.:: marcan@notrevie.ca ::.
.:: NotreVie.ca ::.